<template>
  <el-date-picker
    size="large"
    style="width: 100%"
    v-model="data.value1"
    type="datetime"
    placeholder="选择时间"
    format="YYYY-MM-DD HH"
    value-format="YYYY-MM-DD HH"
    @change="changeTime"
  />
  <!-- <el-date-picker
    style="width: 100%"
    v-model="data.value1"
    type="datetimerange"
    range-separator="-"
    start-placeholder="开始时间"
    end-placeholder="结束时间"
    format="YYYY/MM/DD hh:mm:ss"
    value-format="YYYY-MM-DD h:m:s"

  /> -->
</template>

<script>
import { reactive, onMounted, watch } from "vue";

export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  props: ["state"],
  setup(props, { emit }) {
    let data = reactive({
      value1: "",
      newTimeStr: "",
    });
    watch(
      () => props.state,
      (nVal, oVal) => {
        // console.log(nVal);
      },
      { deep: true }
    );

    // function operationType(type) {
    //   switch (type) {
    //     case "t":
    //       break;

    //     default:
    //       break;
    //   }
    // }

    function changeTime(value) {
      if (value) {
        // let newTimeStr = `${value.slice(0, 13)}:00:00`;
        let newTimeStr = value;
        let day = new Date(value).getDay();
        let week;
        switch (day) {
          case 0:
            week = `周日`;
            break;
          case 1:
            week = `周一`;
            break;
          case 2:
            week = `周二`;
            break;
          case 3:
            week = `周三`;
            break;
          case 4:
            week = `周四`;
            break;
          case 5:
            week = `周五`;
            break;
          case 6:
            week = `周六`;
            break;
        }
        emit("changeTime", { data: newTimeStr, week: week });
      }
    }
    return { data, changeTime };
  },
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
</style>
